require 'rails_helper'

RSpec.describe SessionsController do
  describe 'get new' do
    subject { get 'new' }
    it 'renders the sessions/new template' do
      expect(subject).to render_template('sessions/new')
    end
  end
  describe 'get create' do
    # TODO test session status
    subject { get 'create' }
    it 'redirects to /welcome' do
      expect(subject).to redirect_to('/welcome')
    end
  end
  describe 'get delete' do
    # TODO test session status
    subject { get 'delete' }
    it 'redirects to /welcome' do
      expect(subject).to redirect_to('/welcome')
    end
  end
  describe 'get welcome' do
    subject { get 'welcome' }
    it 'renders the sessions/welcome template' do
      expect(subject).to render_template('sessions/welcome')
    end
  end
end